//  Jazykove verze 
//================================================




//===============================================================================================================================================
#ifdef CZ_language
//   CZ:
//----------------------------------------------

//  retezec, ktery se pouziva k formatovanemu vystupu na SD kartu, nebo do serioveho terminalu
//  index pole 100x                                                                                                            111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111122222222222222222222     
//  index pole 10x                   111111111122222222223333333333444444444455555555556666666666777777777788888888889999999999000000000011111111112222222222333333333344444444445555555555666666666677777777778888888888999999999900000000001111111111   
//  index pole 1x          0123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789    
//                         -----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------    

char hlavicka[]         = "  pol. ; EEPROM ;  sek_1970  ;    datum   ;    cas   ; dvt; zona ;  jas  ;   jas  ;adr.;cid.; pozn. ; stab_jas ; infra ;  full ; [ms]; citl. ;teplota; tep.'C ;vlhkost; vlh. % ;  tlak  ;   GEO_lat  ;   GEO_long  ;  ALT  \0";   
// priklad                " 00018 ; 000823 ; 1609232363 ; 29.12.2020 ; 08:59:23 ; Ut ;  SEC ; 08881 ; 08,881 ; 01 ; 01 ; komun ;  STABIL  ; 17989 ; 48311 ; 600 ;  428x ; 07196 ; +21,96 ; 05151 ; 051,51 ; 093410 ; +49,457154 ; +120,457156 ; -1234 \0";    

#define lng001    "Vlhkost: "
#define lng002    "Teplota bez korekce: "
#define lng003    "Teplota s korekci podle tabulky: "
#define lng004    "Absolutni tlak (bez prepoctu na hladinu more): "
#define lng005    "Nastavena zona "
#define lng006    "SEC."
#define lng007    "SELC."
#define lng008    "Plosny jas bez korekce: "
#define lng009    "Plosny jas s korekci podle tabulky: "
#define lng010    "Automat vypnuty"
#define lng011    "Automaticky spoustet mereni po "
#define lng012    "Aktualne je aktivni cidlo: "
#define lng013    "Plosny jas bez kalibracni korekce: "
#define lng014    "Teplota bez kalibracni korekce: "
#define lng015    "Prumerovat "
#define lng016    " mereni"
#define lng017    "Mimo rozsah (1-20)"
#define lng018    "Rozhodovaci uroven pro stabilni jas je nastavena na "
#define lng019    "SLAVE adresa: "
#define lng020    "Mimo rozsah (1-15)"
#define lng021    "CRC se nekontroluje"
#define lng022    "CRC se testuje"
#define lng023    "CRC se testuje, chyby se hlasi do USB seriove linky"
#define lng024    "Do EEPROM se budou ukladat zaznamy s hodnotou plosneho jasu vetsi (tmavsi) nez "
#define lng025    "Mimo rozsah (0-255)"
#define lng026    "Zadany pocet vstupu pro cidla na expanzni desce: "
#define lng027    "Zadany pocet vstupu je mimo rozsah (0 az 7)"
#define lng028    " puvodni: EEPROM["
#define lng029    "Nastaveny defaultni kalibracni hodnoty pro cidlo jasu"
#define lng030    "Nastaveny defaultni kalibracni hodnoty pro teplotu"
#define lng031    "Nastaveny defaultni parametry"
#define lng032    "LED by mely postupne blikat"
#define lng033    "Konec blikani LED"
#define lng034    "Test displeje"
#define lng035    "Konec testu displeje"
#define lng036    "l        ... zmer plosny jas  - bez ukladani"
#define lng037    "v        ... zmer vlhkost     - bez ukladani"
#define lng038    "t        ... zmer teplotu     - bez ukladani"
#define lng039    "p        ... zmer tlak        - bez ukladani"
#define lng040    "z 0      ... prepnout na SEC"
#define lng041    "z 1      ... prepnout na SELC"
#define lng042    "a nnn    ... nastaveni automatickeho spousteni 0-255 minut"
#define lng043    "e n      ... pri pouziti expanzni desky prepne na zvolene cidlo (1-7)"
#define lng044    "r        ... vypis poslednich 100 zaznamu z EEPROM"
#define lng045    "rp       ... vypis posledniho zaznamu z EEPROM"
#define lng046    "ra       ... vypis vsech zaznamu z EEPROM"
#define lng047    "rz nnnnn ... vypis jednoho zvoleneho zazamu"
#define lng048    "c        ... aktualni cas"
#define lng049    "i        ... informace o aktualnim nastaveni systemu"
#define lng050    "h        ... zobrazeni hlavicky pro formatovany vystup"
#define lng051    "m        ... spusteni vsech mereni se zapisem do EEPROM"
#define lng052    "kj       ... kalibracni mereni jasu (vystup bez korekce)"
#define lng053    "kt       ... kalibracni mereni teploty (vystup bez korekce)"
#define lng054    "#?       ... napoveda pro dalsi funkce"
#define lng055    "#Tyyyymmddhhnnss ... nastaveni casu"
#define lng056    "#P nn        ... nastaveni poctu prumerovani jasu (1-20)"
#define lng057    "#S nnn       ... nastaveni urovne stability (0-255)"
#define lng058    "#I           ... detailni informace o kalibraci vnitrnich hodin"
#define lng059    "#A nn        ... nastaveni SLAVE adresy pro komunikaci (1-15)"
#define lng060    "#C 0         ... vypnuti CRC kontroly pro RS485"
#define lng061    "#C 1         ... zapnuti CRC kontroly pro RS485"
#define lng062    "#O?          ... nastaveni oddelovacu"
#define lng063    "#FS          ... SOFT format EEPROM"
#define lng064    "#FH          ... HARD format EEPROM"
#define lng065    "#U nnn       ... hranice jasu pro ukladani - v desetinach mag/arcsek2 (0-255)"
#define lng066    "#KJ n;x;y*   ... zapis bodu do kalibracni tabulky jasu"
#define lng067    "#KT n;x;y*   ... zapis bodu do kalibracni tabulky teploty"
#define lng068    "@W addr,data ... primy zapis do EEPROM"
#define lng069    "@R addr      ... prime cteni z EEPROM"
#define lng070    "@E           ... test postupneho prepinani cidel na expanzni desce"
#define lng071    "@X n         ... nastaveni poctu vstupu na expanzni desce (1-7)"
#define lng072    "@DS          ... defaultni kalibracni hodnoty pro jas"
#define lng073    "@DT          ... defaultni kalibracni hodnoty pro teplotu"
#define lng074    "@DP          ... defaultni parametry systemu"
#define lng075    "@T           ... test displeje nebo LED"
#define lng076    "@@           ... softwarovy RESET"
#define lng077    "Oddelovac polozek: "
#define lng078    "mezera"
#define lng079    "carka"
#define lng080    "strednik"
#define lng081    "tabulator"
#define lng082    "Oddelovac desetinnych mist: "
#define lng083    "tecka"
#define lng084    "Uzavirat"
#define lng085    "Neuzavirat"
#define lng086    " hodnoty do uvozovek"
#define lng087    "Na zacatku souboru se hlavicka vytvaret "
#define lng088    "bude."
#define lng089    "nebude."
#define lng090    "#O,1 ... des. oddelovac: carka"
#define lng091    "#O,0 ... des. oddelovac: tecka"
#define lng092    "#O\"1 ... uzavirat polozky do uvozovek"
#define lng093    "#O\"0 ... neuzavirat polozky do uvozovek"
#define lng094    "#Oh1 ... vytvaret hlavicky"
#define lng095    "#Oh0 ... nevytvaret hlavicky"
#define lng096    "#Oo_ ... oddelovac polozek: mezera"
#define lng097    "#Oo, ... oddelovac polozek: carka"
#define lng098    "#Oo; ... oddelovac polozek: strednik"
#define lng099    "#Oot ... oddelovac polozek: tabulator"
#define lng100    "Varovani: oddelovac polozek i desetinnych mist je carka."
#define lng101    "Vstup mimo rozsah (pozice 1 az 15)"
#define lng102    "Vstup mimo rozsah (merena hodnota max 24 mag/arcsek2 = 24000)"
#define lng103    "Vstup mimo rozsah (skutecna hodnota max 24 mag/arcsek2 = 24000)"
#define lng104    "zadane kalibracni hodnoty pro plosny jas:"
#define lng105    "pozice - merena hodnota - (mag/arcsek2) - spravna hodnota  - (mag/arcsek2)"
#define lng106    "Vstup mimo rozsah (pozice 1 az 7)"
#define lng107    "Vstup mimo rozsah (merena hodnota max. 50'C = 10000)"
#define lng108    "Vstup mimo rozsah (zobrazena hodnota max. 50'C = 10000)"
#define lng109    "zadane kalibracni hodnoty pro teplotu:"
#define lng110    "pozice / merena hodnota ('C) / zobrazena hodnota ('C)"
#define lng111    "Casova zona: "
#define lng112    "\nOddelovace:"
#define lng113    " Polozky v souboru: "
#define lng114    " Desetinny oddelovac: "
#define lng115    " Uzavirat polozky do uvozovek"
#define lng116    " Neuzavirat polozky do uvozovek"
#define lng117    " Do souboru vkladat hlavicky"
#define lng118    " Hlavicky do souboru nevkladat"
#define lng119    "\nAutomat:"
#define lng120    " Bez automatickeho mereni"
#define lng121    "  Spoustet mereni kazdych "
#define lng122    " minut."
#define lng123    "\nPrumerovat "
#define lng124    " mereni plosneho jasu"
#define lng125    "Kontrolni bajt se pri komunikaci pres RS485 nevyhodnocuje."
#define lng126    "Pri komunikaci pres RS485 je nutne odesilat spravny kontrolni bajt."
#define lng127    "Rozhodovaci rozdil pro stabilni/nestabilni jas je "
#define lng128    "Do EEPROM se ukladaji zaznamy s plosnym jasem nad (tmavsi nez) "
#define lng129    "Unikatni identifikace EEPROM: "
#define lng130    "\nHardware:"
#define lng131    " Procesor: STM32F103CB (BluePill) - 128kB progMEM"
#define lng132    " Cidlo jasu: TSL2591"
#define lng133    " Cidlo vlhkosti a teploty: DHT11"
#define lng134    " Cidlo vlhkosti a teploty: DHT22"
#define lng135    " Cidlo vlhkosti, teploty a tlaku: BME280"
#define lng136    " SD karta: "
#define lng137    "zasunuta"
#define lng138    "vysunuta"
#define lng139    "nepouziva se"
#define lng140    " Displej: 5x7 segmentu (TM1637)"
#define lng141    " Pouze signalizacni LED"
#define lng142    " Pocet vstupu rozsirujici desky: "
#define lng143    " Aktualne aktivni cidlo jasu:    "
#define lng144    "\nEEPROM:"
#define lng145    " Zacatek oblasti pro data: "
#define lng146    " Konec oblasti pro data:   "
#define lng147    " Pristi zaznam se ulozi na adresu: "
#define lng148    " Jeden zaznam v EEPROM je dlouhy: "
#define lng149    " bajtu"
#define lng150    " obsahuje tyto polozky: "
#define lng151    "  - plosny jas           ANO"
#define lng152    "  - teplota              "
#define lng153    "ANO"
#define lng154    "NE"
#define lng155    "  - tlak                 "
#define lng156    "  - vlhkost              "
#define lng157    "  - infra slozka svetla  "
#define lng158    "  - full svetlo          "
#define lng159    "  - ctrl registr TSL2591 "
#define lng160    "\nKalibrace cidla teploty"
#define lng161    "index ; merena  ; skutecna"
#define lng162    "\nKalibrace cidla plosneho jasu ["
#define lng163    "index ; merene ; skutecne"
#define lng164    "SOFT format EEPROM ..."
#define lng165    "HARD format EEPROM ..."
#define lng166    "EEPROM byla zformatovana."
#define lng167    "Zvolena polozka je mimo rozsah EEPROM (1 - "
#define lng168    "Zadny ulozeny zaznam"
#define lng169    "Kontrolni bajt nesouhlasi:"
#define lng170    "   ocekavane CRC: "
#define lng171    "   prijate CRC: "
#define lng172    "Pro tuto funkci nelze pouzit univerzalni adresu 127."
#define lng173    "univerzalni pozadavek vykonan"
#define lng174    "Informace o RTC"
#define lng175    "Aktualne je "
#define lng176    "Cas v RTC bez korekci (GMT): "
#define lng177    "Cas posledniho serizeni RTC (data z EEPROM) (GMT): "
#define lng178    "... v sekundach od 1.1.1970: "
#define lng179    "... v citelnem tvaru: "
#define lng180    "Interval od posledniho nastaveni casu: "
#define lng181    "Korekce casu (data z EEPROM): "
#define lng182    " ... ulozene cislo v HEX formatu : "
#define lng183    " ... sekunda se "
#define lng184    "odecita"
#define lng185    "pricita"
#define lng186    " kazdych "
#define lng187    " sekund od posledniho serizeni."
#define lng188    "           (to je asi "
#define lng189    " hodin)"
#define lng190    " dni)"
#define lng191    " roku)"
#define lng192    "Zatim se takto melo pridat/ubrat: "
#define lng193    " extra sekund."
#define lng194    "Takze zkorigovany cas pro zobrazeni je: "
#define lng195    "Prijato: "
#define lng196    "*** Chyba v zadani ***"
#define lng197    "Rok: "
#define lng198    "Mesic: "
#define lng199    "Den: "
#define lng200    "Hodina: "
#define lng201    "Minuta: "
#define lng202    "Sekunda: "
#define lng203    "Rozdil mezi casem v RTC a zadanym casem [s]: "
#define lng204    "Chyba RTC (sekunda se ma korigovat casteji, nez za 5 minut)."
#define lng205    "Automaticka kalibrace RTC zrusena."
#define lng206    "  - GPS souradnice       "
#define lng207    "Do EEPROM se ukladaji vsechny zaznamy"
#define lng208    "@G           ... vypis dat z GPS modulu"
#define lng209    "@S n         ... rychlost seriove komunikace (0=9600; 1=19200; 2=38400; 3=115200)"
#define lng210    "kalibracni bod smazan"
#define lng211    "@-           ... sken I2C sbernice"



// popisky do CSV zaznamu - NUTNO DODRZET PRESNY POCET ZNAKU (dlouhe texty zkratit, kratke doplnit mezerami)
#define lng250    "SELC"                // znacka casove zony pro letni cas
#define lng251    " SEC"                // znacka casove zony pro "zimni" cas
#define lng252    "_ELC"                // znacka casove zony pro letni cas ve smazanem zaznamu
#define lng253    " _EC"                // znacka casove zony pro "zimni" cas ve smazanem zaznamu
#define lng254    " STABIL "            // znacka stabilniho jasu
#define lng255    " NESTAB "            // znacka nestabilniho jasu
#define lng256    "tl_UP"               // znacka, ze bylo mereni spusteno tlacitkem "Sipka nahoru"
#define lng257    "tl_DN"               // znacka, ze bylo mereni spusteno tlacitkem "Sipka dolu"
#define lng258    "tl_OK"               // znacka, ze bylo mereni spusteno tlacitkem "OK"
#define lng259    "komun"               // znacka, ze bylo mereni spusteno pres komunikacni linku (USB nebo RS485)
#define lng260    " auto"               // znacka, ze bylo mereni spusteno automatickym casovacem
#define lng261    "kalib"               // znacka, ze je zaznamenana hodnota svetla bez kalibracni korekce 
#define lng262    "Ka-Pr"               // znacka, ze je zaznamenana hodnota matematickym prumerem z predchozich 10 vzorku svetla bez kalibracni korekce 



// prirazeni znakovych kodu pro funkce spoustene pres USB seriovou linku
//  bezne funkce (bez znacky)
//           v kazdem sloupci musi byt znak unikatni
#define USB_fce_1_01 'v'             // ... zmer vlhkost     - bez ukladani
#define USB_fce_1_02 't'             // ... zmer teplotu     - bez ukladani
#define USB_fce_1_03 'p'             // ... zmer tlak        - bez ukladani
#define USB_fce_1_04 'j'             // ... zmer plosny jas  - bez ukladani
#define USB_fce_1_05 'z'             // ... prepnout na SEC ("z0") nebo SELC ("z1")
#define USB_fce_1_06 'a'             // ... nastaveni automatickeho spousteni 0-255 minut
#define USB_fce_1_07 'e'             // ... pri pouziti expanzni desky prepne na zvolene cidlo (1-7)
#define USB_fce_1_08 'r'             // ... vypis zaznamu z EEPROM (bez dalsiho parametru vypise poslednich 100 zaznamu)
#define USB_fce_1_09     'p'         // ...          "rp" ... vypis posledniho zaznamu
#define USB_fce_1_10     'a'         // ...          "ra" ... vypis vsech zaznamu
#define USB_fce_1_11     'z'         // ...          "rz" ... vypis jednoho vybraneho zaznamu
#define USB_fce_1_12 'c'             // ... aktualni datum a cas
#define USB_fce_1_13 'i'             // ... informace o aktualnim nastaveni systemu
#define USB_fce_1_14 'h'             // ... zobrazeni hlavicky pro formatovany vystup
#define USB_fce_1_15 'm'             // ... spusteni vsech mereni se zapisem do EEPROM
#define USB_fce_1_16 'k'             // ... kalibrace
#define USB_fce_1_17         'j'     // ... kalibrace jasu  ("kj")
#define USB_fce_1_18         't'     // ... kalibrace teploty ("kt")

//  servisni funkce (se znackou '#')
//           v kazdem sloupci musi byt znak unikatni
#define USB_fce_2_01 'T'             // ... #T = nastaveni datumu a casu
#define USB_fce_2_02 'P'             // ... #P = nastaveni poctu prumerovani
#define USB_fce_2_03 'S'             // ... #S = nastaveni urovne stability (0-255)
#define USB_fce_2_04 'I'             // ... #I = detailni informace o kalibraci vnitrnich hodin
#define USB_fce_2_05 'A'             // ... #A = nastaveni SLAVE adresy pro komunikaci (1-15)
#define USB_fce_2_06 'C'             // ... #C zapnuti, nebo vypnuti kontroly CRC pro seriovou komunikaci (#C0=CRC se nekontroluje; #C1=CRC se kontroluje; #C2=jako #C1 ale s vypisem chyb do USB)
#define USB_fce_2_07 'O'             // ... #O nastaveni oddelovacu
#define USB_fce_2_08     'O'         // ...       #OO = oddelovac polozek (nasleduje jeste jeden znak, ktery urcuje oddelovac: #OO, #OO_ #OO; #OOt)
#define USB_fce_2_09     ','         // ...       #O, = carka jako desetinny oddelovac                 (#O,0 = vypnout carku, zapnout tecku   #O,1 = zapnout carku, vypnout tecku)
#define USB_fce_2_10     '"'         // ...       #O" = uzavirat nebo neuzavirat polozky do uvozovek   (#O"1 = uzavirat                       #O"0 = neuzavirat)
#define USB_fce_2_11     'h'         // ...       #Oh = zapisovat nebo nezapisovat hlavicku do souboru (#Oh0 = nezapisovat                    #Oh1 = zapisovat)
#define USB_fce_2_12 'F'             // ... #F formatovani EEPROM (nasleduje jeste jeden znak pro urceni zpusobu mazani dat)
#define USB_fce_2_13         'S'     // ...       #FS = SOFT format
#define USB_fce_2_14         'H'     // ...       #FH = HARD format
#define USB_fce_2_15 'U'             // ... #U = hranice jasu pro ukladani zaznamu do EEPROM 
#define USB_fce_2_16 'K'             // ... #K zapis bodu kalibracni tabulky (nasleduje jeden znak pro urceni tabulky)
#define USB_fce_2_17             'J' // ...       kalibracni tabulka pro svetlo  (#KJ)
#define USB_fce_2_18             'T' // ...       kalibracni tabulka pro teplotu (#KT)

//  tajne funkce (se znackou '@')
//           v kazdem sloupci musi byt znak unikatni
#define USB_fce_3_01 'E'             // ... @E = test postupneho prepinani cidel na expanzni desce
#define USB_fce_3_02 'X'             // ... @X = nastaveni poctu vstupu na expanzni desce (1-7)
#define USB_fce_3_03 'R'             // ... @R = prime cteni dat z EEPROM 
#define USB_fce_3_04 'W'             // ... @W = primy zapis hodnoty do EEPROM 
#define USB_fce_3_05 'D'             // ... @D obnoveni defaultnich hodnot (nasleduje 1 znak pro urceni toho, co se ma obnovit)
#define USB_fce_3_06     'S'         //          @DS = obnoveni kalibracnich hodnot pro svetlo
#define USB_fce_3_07     'T'         //          @DT = obnoveni kalibracnich hodnot pro teplotu
#define USB_fce_3_08     'P'         //          @DT = obnoveni parametru systemu
#define USB_fce_3_09 'T'             // ... @T = test displeje nebo LED
#define USB_fce_3_10 '@'             // ... @@ = reset
#define USB_fce_3_11 'G'             // ... @G = vypis dat z GPS modulu
#define USB_fce_3_12 'S'             // ... @S = nastaveni rychlosti seriove komunikace
#define USB_fce_3_13 '-'             // ... @- = sken I2C sbernice
#define USB_fce_3_14 '%'             // ... @% = nastaveni typu specialniho rezimu (r30s) - potrebuje zvlastni pridavny HW





String dny[] = {"--", "Po" , "Ut" , "St" , "Ct" , "Pa" , "So" , "Ne"}; // pro vypis nazvu dni pro indexy 1 (pondeli) az 7 (nedele)  (0 se nepouzije)


//          A=1
//        ######
//       #      #
//  F=32 #      #  B=2
//       # G=64 #
//        ######
//       #      #
//  E=16 #      #  C=4
//       #      #
//        ######   ## DP=128               priklady:
//         D=8     ##                        'A' = A + B + C + F + E + G = 1 + 2 + 4 + 32 + 16 + 64 = 119
//                                           'L' = F + E + D             = 32 + 16 + 8              = 56 
#ifdef displej_TM1637_5           
byte dis_popisy[50][5] =            // graficke definice 5-znakovych textu na displej
    {

      {  56,  48, 109, 120,   0} , // "LI5t "                  [0]
      { 119,  28, 120,  92,   0} , // "Auto "                  [1]
      {  91,  92,  84, 119,   0} , // "2onA "                  [2]
      {  57, 119,  56,  48, 124} , // "CALIb"                  [3]      
      {  94, 119, 120,  28,  55} , // "dAtuM"                  [4]
      {  57, 119, 109,   0,   0} , // "CA5  "                  [5]
      { 120, 121, 115,  56,   0} , // "tEPL "                  [6]
      {  62,  56, 118,   0,   0} , // "VLH  "                  [7]
      {  30, 119, 109,   0,   0} , // "JA5  "                  [8]
      { 118,  92,  64,  55,   4} , // "Ho-Mi"                  [9]
      { 115,  80,  28,  55,   0} , // "PruM "                 [10]
      {  56, 121,  94,   0,   0} , // "LEd  "                 [11]
      { 109, 120,  92, 115,   0} , // "StoP "                 [12] (stopky)
      { 125, 115, 109,   0,   0} , // "6P5  "                 [13] (GPS)
      {   0,   0,   0,   0,   0} , //                         [14] REZERVA pro menu
      {   0,   0,   0,   0,   0} , //                         [15] REZERVA pro menu
      {   0,   0,   0,   0,   0} , //                         [16] REZERVA pro menu
      {   0,   0,   0,   0,   0} , //                         [17] REZERVA pro menu
      {   0,   0,   0,   0,   0} , //                         [18] REZERVA pro menu
      {   0,   0,   0,   0,   0} , //                         [19] REZERVA pro menu
      {   0,   0,   0,   0,   0} , //                         [20] REZERVA pro menu
      {  84,  92,  64, 109,  94} , // "no-5d"                 [21] neni zasunuta SD karta (toto hlaseni se zobrazuje jen pri startu)
      {  80, 121, 109, 121, 120} , // "rE5Et"                 [22] Reset
      { 128,   0,   0,   0,   0} , // ".    "                 [23] tecka na leve sedmisegmentovce siglalizuje mereni pomoci automatu
      {   0, 128,   0,   0,   0} , // " .   "                 [24] tecka na druhe sedmisegmentovce zleva siglalizuje mereni pomoci seriove linky
      {   0,   0, 109, 121,  57} , // "  SEC"                 [25]
      {   0, 109, 121,  56,  57} , // " SELC"                 [26]
      { 121,  80,  80,  64,  79} , // "Err-3"                 [27] chyba RTC (rok je mensi nez 2020)
      {   0,   0,   0,   0,   0} , // "     "                 [28]
      {  64,  64,  64,  64,  64} , // "-----"                 [29]
      { 121,  80,  80,  64, 102} , // "Err-4"                 [30] chyba kalibracni tabulky svetla
      { 121,  80,  80,  64, 109} , // "Err-5"                 [31] chyba kalibracni tabulky teploty
      {  84,  92,  57,  92,  80} , // "noCor"                 [32] zobrazeni prubezneho jasu bez korekce
      {   0,  57,  92,  80,  80} , // " Corr"                 [33] zobrazeni prubezneho jasu s korekci
      {  80, 121, 113,   8,  62} , // "rEF_U"                 [34] test analogoveho vstupu pro referencni napeti
      {  62,   8, 124, 119, 120} , // "U_bAt"                 [35] test analogoveho vstupu pro napeti baterie
      {  64,  56,  92,  88,  64} , // "-Loc-"                 [36] bocni tlacitko zablokovano
      { 109,  94,  64, 121,  80} , // "5d-Er"                 [37] (chyba SD karty)
      { 109, 119,  62, 121,   0} , // "SAVE "                 [38]
      { 124,  28, 109, 109, 110} , // "bu55y"                 [39]
      { 121,  80,  80,  64,   6} , // "Err-1"                 [40] (chyba I2C komunikace s cidlem svetla, EEPROM, nebo BME280)
      { 121,  80,  80,  64,  91} , // "Err-2"                 [41] (chyba GPS - je zasunuty, ale nekomunikuje)
      {  94, 121, 113, 119,   0} , // "dEFA "                 [42] (obnoveni defaultnich parametru)
      {   0,   0,   0,   0,   0} , //                         [43] REZERVA
      {   0,   0,   0,   0,   0} , //                         [44] REZERVA
      {   0,   0,   0,   0,   0} , //                         [45] REZERVA
      {   0,   0,   0,   0,   0} , //                         [46] REZERVA
      {   0,   0,   0,   0,   0} , //                         [47] REZERVA
      {   0,   0,   0,   0,   0} , //                         [48] REZERVA
      {   0,   0,   0,   0,   0}   //                         [49] REZERVA
    
    };
#endif

// prvni znaky na displeji, ktere jsou zobrazeny pri nastavovani, nebo zobrazovani polozek v podmenu (graficke definice znaku na 7-seg displeji)
byte znak_V =  62;         // "V ..." zobrazeni vlhkosti
byte znak_A = 119;         // "A ..." nastaveni automatu
byte znak_P = 115;         // "P ..." nastaveni prumerovani
byte znak_d =  94;         // "d ..." nastaveni dni
byte znak_M =  55;         // "M ..." nastaveni mesicu
byte znak_r =  80;         // "r ..." nastaveni roku
byte znak_H = 118;         // "H ..." nastaveni hodin
byte znak_L =  56;         // "L ..." listovani v zaznamech


#endif






//===============================================================================================================================================
#ifdef EN_language
//   EN:
//----------------------------------------------

char hlavicka[]         = "  ind. ; EEPROM ;  sec_1970  ;    date    ;   time   ; wd ; zone ; bright; bright ;addr;sen.; descr.;  Un/Stab ; infra ;  full ; [ms];  gain ;temper ; temp 'C; humid ;humid % ; press. ;   GEO_lat  ;   GEO_long  ;  ALT  \0";   
// priklad                " 00007 ; 000614 ; 1609010768 ; 26.12.2020 ; 19:26:08 ; Sa ;  CET ; 16308 ; 16,308 ; 01 ; 01 ; bt_DN ;  UNSTAB  ; 00399 ; 01121 ; 600 ; 9876x ; 07267 ; +22,67 ; 05775 ; 057,75 ; 096332 ; +49,457154 ; +120,457156 ; -1234 \0";

#define lng001    "Humidity: "
#define lng002    "Temperature with no correction: "
#define lng003    "Temperature with correction by correction table: "
#define lng004    "Absolute pressure (no recalculate to sea level): "
#define lng005    "Timezone "
#define lng006    "CET  (normal)."
#define lng007    "CEST (DST)."
#define lng008    "Plosny jas bez korekce: "
#define lng009    "Plosny jas s korekci podle tabulky: "
#define lng010    "Automat OFF"
#define lng011    "Automaticky spoustet mereni po "
#define lng012    "Aktualne je aktivni cidlo: "
#define lng013    "Plosny jas bez kalibracni korekce: "
#define lng014    "Teplota bez kalibracni korekce: "
#define lng015    "Average "
#define lng016    " measures"
#define lng017    "Out of range (1-20)"
#define lng018    "Rozhodovaci uroven pro stabilni jas je nastavena na "
#define lng019    "SLAVE address: "
#define lng020    "Out of range (1-15)"
#define lng021    "CRC is not tested"
#define lng022    "CRC is tested"
#define lng023    "CRC is tested, mismatches are sending to USB Serial Line"
#define lng024    "Do EEPROM se budou ukladat zaznamy s hodnotou plosneho jasu vetsi (tmavsi) nez "
#define lng025    "Out of range (0-255)"
#define lng026    "Zadany pocet vstupu pro cidla na expanzni desce: "
#define lng027    "Zadany pocet vstupu je mimo rozsah (0 az 7)"
#define lng028    " puvodni: EEPROM["
#define lng029    "Nastaveny defaultni kalibracni hodnoty pro cidlo jasu"
#define lng030    "Nastaveny defaultni kalibracni hodnoty pro teplotu"
#define lng031    "Nastaveny defaultni parametry"
#define lng032    "LED by mely postupne blikat"
#define lng033    "Konec blikani LED"
#define lng034    "Test of display"
#define lng035    "END of display test"
#define lng036    "l        ... measure brightness  - NO save"
#define lng037    "v        ... measure humidity    - NO save"
#define lng038    "t        ... measure temperature - NO save"
#define lng039    "p        ... measure pressure    - NO save"
#define lng040    "z 0      ... switch to CET (normal timezone - winter)"
#define lng041    "z 1      ... switch to CEST (DST timezone - summer)"
#define lng042    "a nnn    ... automatic measure runs every 0-255 minutes"
#define lng043    "e n      ... pri pouziti expanzni desky prepne na zvolene cidlo (1-7)"
#define lng044    "r        ... dump last 100 records from EEPROM"
#define lng045    "rp       ... dump last record from EEPROM"
#define lng046    "ra       ... dump all records from EEPROM"
#define lng047    "rz nnnnn ... dump one selected record"
#define lng048    "c        ... read current time from internal RTC"
#define lng049    "i        ... system info"
#define lng050    "h        ... zobrazeni hlavicky pro formatovany vystup"
#define lng051    "m        ... run measure with record into EEPROM"
#define lng052    "kj       ... kalibracni mereni jasu (vystup bez korekce)"
#define lng053    "kt       ... kalibracni mereni teploty (vystup bez korekce)"
#define lng054    "#?       ... help for extended functions"
#define lng055    "#Tyyyymmddhhnnss ... set date and time"
#define lng056    "#P nn        ... set count of measures for averages (1-20)"
#define lng057    "#S nnn       ... nastaveni urovne stability (0-255)"
#define lng058    "#I           ... detailed information about internal RTC"
#define lng059    "#A nn        ... setup SLAVE address (1-15)"
#define lng060    "#C 0         ... CRC check for RS485 - OFF"
#define lng061    "#C 1         ... CRC check for RS485 - ON"
#define lng062    "#O?          ... setup of dividers"
#define lng063    "#FS          ... SOFT format EEPROM"
#define lng064    "#FH          ... HARD format EEPROM"
#define lng065    "#U nnn       ... hranice jasu pro ukladani - v desetinach mag/arcsek2 (0-255)"
#define lng066    "#KJ n;x;y*   ... zapis bodu do kalibracni tabulky jasu"
#define lng067    "#KT n;x;y*   ... zapis bodu do kalibracni tabulky teploty"
#define lng068    "@W addr,data ... direct write to EEPROM"
#define lng069    "@R addr      ... direct read from EEPROM"
#define lng070    "@E           ... test postupneho prepinani cidel na expanzni desce"
#define lng071    "@X n         ... nastaveni poctu vstupu na expanzni desce (1-7)"
#define lng072    "@DS          ... set default callibration for brightness sensor"
#define lng073    "@DT          ... set default callibration for temperature sensor"
#define lng074    "@DP          ... set default parameters of system"
#define lng075    "@T           ... test of display or LED"
#define lng076    "@@           ... software RESET"
#define lng077    "Divider of items: "
#define lng078    "space"
#define lng079    "comma"
#define lng080    "semicolon"
#define lng081    "tabulator"
#define lng082    "Decimal divider: "
#define lng083    "dot"
#define lng084    "Uzavirat"
#define lng085    "Neuzavirat"
#define lng086    " hodnoty do uvozovek"
#define lng087    "Na zacatku souboru se hlavicka vytvaret "
#define lng088    "bude."
#define lng089    "nebude."
#define lng090    "#O,1 ... decimal divider: comma"
#define lng091    "#O,0 ... decimal divider: dot"
#define lng092    "#O\"1 ... uzavirat polozky do uvozovek"
#define lng093    "#O\"0 ... neuzavirat polozky do uvozovek"
#define lng094    "#Oh1 ... write headers"
#define lng095    "#Oh0 ... don't write headers"
#define lng096    "#Oo_ ... divider of items: space"
#define lng097    "#Oo, ... divider of items: comma"
#define lng098    "#Oo; ... divider of items: semicolon"
#define lng099    "#Oot ... divider of items: tabulator"
#define lng100    "Varovani: oddelovac polozek i desetinnych mist je carka."
#define lng101    "Input out of range (pozice 1 az 15)"
#define lng102    "Input out of range (merena hodnota max 24 mag/arcsek2 = 24000)"
#define lng103    "Input out of range (skutecna hodnota max 24 mag/arcsek2 = 24000)"
#define lng104    "zadane kalibracni hodnoty pro plosny jas:"
#define lng105    "pozice - merena hodnota - (mag/arcsek2) - spravna hodnota  - (mag/arcsek2)"
#define lng106    "Input out of range (position 1 to 7)"
#define lng107    "Input out of range (merena hodnota max. 50'C = 10000)"
#define lng108    "Input out of range (zobrazena hodnota max. 50'C = 10000)"
#define lng109    "zadane kalibracni hodnoty pro teplotu:"
#define lng110    "pozice / merena hodnota ('C) / zobrazena hodnota ('C)"
#define lng111    "Casova zona: "
#define lng112    "\nOddelovace:"
#define lng113    " Polozky v souboru: "
#define lng114    " Decimal divider: "
#define lng115    " Uzavirat polozky do uvozovek"
#define lng116    " Neuzavirat polozky do uvozovek"
#define lng117    " Insert header to every file"
#define lng118    " Don't insert header to every file"
#define lng119    "\nAutomat:"
#define lng120    " NO automatic trigger"
#define lng121    "  Runs every "
#define lng122    " minutes."
#define lng123    "\nAverage "
#define lng124    " mereni plosneho jasu"
#define lng125    "Kontrolni bajt se pri komunikaci pres RS485 nevyhodnocuje."
#define lng126    "Pri komunikaci pres RS485 je nutne odesilat spravny kontrolni bajt."
#define lng127    "Rozhodovaci rozdil pro stabilni/nestabilni jas je "
#define lng128    "Trigger level for saving records to EEPROM - Surface darkness than "
#define lng129    "Unicate identification of EEPROM: "
#define lng130    "\nHardware:"
#define lng131    " Procesor: STM32F103CB (BluePill) - 128kB progMEM"
#define lng132    " Light sensor: TSL2591"
#define lng133    " Sensor of humidity and temperature: DHT11"
#define lng134    " Sensor of humidity and temperature: DHT22"
#define lng135    " Sensor of humidity, temperature and pressure: BME280"
#define lng136    " SD card: "
#define lng137    "inserted"
#define lng138    "removed"
#define lng139    "nepouziva se"
#define lng140    " Displej: 5x7 segmentu (TM1637)"
#define lng141    " Pouze signalizacni LED"
#define lng142    " Pocet vstupu rozsirujici desky: "
#define lng143    " Aktualne aktivni cidlo jasu:    "
#define lng144    "\nEEPROM:"
#define lng145    " Begin of records area: "
#define lng146    " End of records area:   "
#define lng147    " Next record will write to EEPROM address: "
#define lng148    " Lenght of one record in EEPROM is: "
#define lng149    " bytes"
#define lng150    " Contains these parts: "
#define lng151    "  - Surface brightness    YES"
#define lng152    "  - temperature          "
#define lng153    "YES"
#define lng154    "NO"
#define lng155    "  - pressure             "
#define lng156    "  - humidity             "
#define lng157    "  - infra part of light  "
#define lng158    "  - full part of light   "
#define lng159    "  - ctrl reg. of TSL2591 "
#define lng160    "\nCallibration of temperature sensor"
#define lng161    "index ; measured  ; correct"
#define lng162    "\nCallibration of light sensor ["
#define lng163    "index ; measured ; correct"
#define lng164    "SOFT format of EEPROM ..."
#define lng165    "HARD format ofEEPROM ..."
#define lng166    "EEPROM byla formated."
#define lng167    "Selected record is OUT OF RANGE (1 - "
#define lng168    "NO record"
#define lng169    "CRC byte does not match:"
#define lng170    "   expected CRC: "
#define lng171    "   recieved CRC: "
#define lng172    "This function is not available for all devices (addr 127)"
#define lng173    "Universal request sent."
#define lng174    "Information about RTC"
#define lng175    "Time is "
#define lng176    "Time in internal RTC (with no corrections) (GMT): "
#define lng177    "Last setup of RTC (GMT): "
#define lng178    "... in seonds from 1.1.1970: "
#define lng179    "... in readable form: "
#define lng180    "Interval since last time setup: "
#define lng181    "Correction of time : "
#define lng182    " ... Number in EEPROM in HEX form: "
#define lng183    " ... one second is "
#define lng184    "substracted"
#define lng185    "added"
#define lng186    " every "
#define lng187    " seconds from last time set."
#define lng188    "           (it is about "
#define lng189    " hours)"
#define lng190    " days)"
#define lng191    " years)"
#define lng192    "Zatim se takto melo pridat/ubrat: "
#define lng193    " extra sekund."
#define lng194    "Takze zkorigovany cas pro zobrazeni je: "
#define lng195    "Recieved: "
#define lng196    "*** Input ERROR ***"
#define lng197    "Year: "
#define lng198    "Month: "
#define lng199    "Day: "
#define lng200    "Hour: "
#define lng201    "Minute: "
#define lng202    "Second: "
#define lng203    "Difference between time in RTC and current time [s]: "
#define lng204    "RTC ERROR (correction of seconds is needed more often than 5 minutes)."
#define lng205    "Automatic correction of RTC disabled."
#define lng206    "  - GPS souradnice       "
#define lng207    "Do EEPROM se ukladaji vsechny zaznamy"
#define lng208    "@G           ... vypis dat z GPS modulu"
#define lng209    "@S n         ... serial baudrate (0=9600; 1=19200; 2=38400; 3=115200)"
#define lng210    "kalibracni bod smazan"
#define lng211    "@-           ... I2C scanner"


// popisky do CSV zaznamu - NUTNO DODRZET PRESNY POCET ZNAKU (dlouhe texty zkratit, kratke doplnit mezerami)
#define lng250    "CEST"                // znacka casove zony pro letni cas
#define lng251    " CET"                // znacka casove zony pro "zimni" cas
#define lng252    "_EST"                // znacka casove zony pro letni cas ve smazanem zaznamu
#define lng253    " _ET"                // znacka casove zony pro "zimni" cas ve smazanem zaznamu
#define lng254    " STABIL "            // znacka stabilniho jasu
#define lng255    " UNSTAB "            // znacka nestabilniho jasu
#define lng256    "bt_UP"               // znacka, ze bylo mereni spusteno tlacitkem "Sipka nahoru"
#define lng257    "bt_DN"               // znacka, ze bylo mereni spusteno tlacitkem "Sipka dolu"
#define lng258    "bt_OK"               // znacka, ze bylo mereni spusteno tlacitkem "OK"
#define lng259    "comm."               // znacka, ze bylo mereni spusteno pres komunikacni linku (USB nebo RS485)
#define lng260    " auto"               // znacka, ze bylo mereni spusteno automatickym casovacem
#define lng261    "calib"               // znacka, ze je zaznamenana hodnota svetla bez kalibracni korekce
#define lng262    "Ca-Av"               // znacka, ze je zaznamenana hodnota matematickym prumerem z predchozich 10 vzorku svetla bez kalibracni korekce 


// prirazeni znakovych kodu pro funkce spoustene pres USB seriovou linku
//  bezne funkce (bez znacky)
//           v kazdem sloupci musi byt znak unikatni
#define USB_fce_1_01 'v'             // ... zmer vlhkost     - bez ukladani
#define USB_fce_1_02 't'             // ... zmer teplotu     - bez ukladani
#define USB_fce_1_03 'p'             // ... zmer tlak        - bez ukladani
#define USB_fce_1_04 'l'             // ... zmer plosny jas  - bez ukladani
#define USB_fce_1_05 'z'             // ... prepnout na SEC ("z0") nebo SELC ("z1")
#define USB_fce_1_06 'a'             // ... nastaveni automatickeho spousteni 0-255 minut
#define USB_fce_1_07 'e'             // ... pri pouziti expanzni desky prepne na zvolene cidlo (1-7)
#define USB_fce_1_08 'r'             // ... vypis zaznamu z EEPROM (bez dalsiho parametru vypise poslednich 100 zaznamu)
#define USB_fce_1_09     'p'         // ...          "rp" ... vypis posledniho zaznamu
#define USB_fce_1_10     'a'         // ...          "ra" ... vypis vsech zaznamu
#define USB_fce_1_11     'z'         // ...          "rz" ... vypis jednoho vybraneho zaznamu
#define USB_fce_1_12 'c'             // ... aktualni datum a cas
#define USB_fce_1_13 'i'             // ... informace o aktualnim nastaveni systemu
#define USB_fce_1_14 'h'             // ... zobrazeni hlavicky pro formatovany vystup
#define USB_fce_1_15 'm'             // ... spusteni vsech mereni se zapisem do EEPROM
#define USB_fce_1_16 'k'             // ... kalibrace
#define USB_fce_1_17         'j'     // ... kalibrace svetla  ("kj")
#define USB_fce_1_18         't'     // ... kalibrace teploty ("kt")

//  servisni funkce (se znackou '#')
//           v kazdem sloupci musi byt znak unikatni
#define USB_fce_2_01 'T'             // ... #T = nastaveni datumu a casu
#define USB_fce_2_02 'P'             // ... #P = nastaveni poctu prumerovani
#define USB_fce_2_03 'S'             // ... #S = nastaveni urovne stability (0-255)
#define USB_fce_2_04 'I'             // ... #I = detailni informace o kalibraci vnitrnich hodin
#define USB_fce_2_05 'A'             // ... #A = nastaveni SLAVE adresy pro komunikaci (1-15)
#define USB_fce_2_06 'C'             // ... #C zapnuti, nebo vypnuti kontroly CRC pro seriovou komunikaci (#C0=CRC se nekontroluje; #C1=CRC se kontroluje; #C2=jako #C1 ale s vypisem chyb do USB)
#define USB_fce_2_07 'O'             // ... #O nastaveni oddelovacu
#define USB_fce_2_08     'O'         // ...       #OO = oddelovac polozek (nasleduje jeste jeden znak, ktery urcuje oddelovac: #OO, #OO_ #OO; #OOt)
#define USB_fce_2_09     ','         // ...       #O, = carka jako desetinny oddelovac                 (#O,0 = vypnout carku, zapnout tecku   #O,1 = zapnout carku, vypnout tecku)
#define USB_fce_2_10     '"'         // ...       #O" = uzavirat nebo neuzavirat polozky do uvozovek   (#O"1 = uzavirat                       #O"0 = neuzavirat)
#define USB_fce_2_11     'h'         // ...       #Oh = zapisovat nebo nezapisovat hlavicku do souboru (#Oh0 = nezapisovat                    #Oh1 = zapisovat)
#define USB_fce_2_12 'F'             // ... #F formatovani EEPROM (nasleduje jeste jeden znak pro urceni zpusobu mazani dat)
#define USB_fce_2_13         'S'     // ...       #FS = SOFT format
#define USB_fce_2_14         'H'     // ...       #FH = HARD format
#define USB_fce_2_15 'U'             // ... #U = hranice jasu pro ukladani zaznamu do EEPROM 
#define USB_fce_2_16 'K'             // ... #K zapis bodu kalibracni tabulky (nasleduje jeden znak pro urceni tabulky)
#define USB_fce_2_17             'J' // ...       kalibracni tabulka pro svetlo  (#KJ)
#define USB_fce_2_18             'T' // ...       kalibracni tabulka pro teplotu (#KT)

//  tajne funkce (se znackou '@')
//           v kazdem sloupci musi byt znak unikatni
#define USB_fce_3_01 'E'             // ... @E = test postupneho prepinani cidel na expanzni desce
#define USB_fce_3_02 'X'             // ... @X = nastaveni poctu vstupu na expanzni desce (1-7)
#define USB_fce_3_03 'R'             // ... @R = prime cteni dat z EEPROM 
#define USB_fce_3_04 'W'             // ... @W = primy zapis hodnoty do EEPROM 
#define USB_fce_3_05 'D'             // ... @D obnoveni defaultnich hodnot (nasleduje 1 znak pro urceni toho, co se ma obnovit)
#define USB_fce_3_06     'S'         //          @DS = obnoveni kalibracnich hodnot pro svetlo
#define USB_fce_3_07     'T'         //          @DT = obnoveni kalibracnich hodnot pro teplotu
#define USB_fce_3_08     'P'         //          @DT = obnoveni parametru systemu
#define USB_fce_3_09 'T'             // ... @T = test displeje nebo LED
#define USB_fce_3_10 '@'             // ... @@ = reset
#define USB_fce_3_11 'G'             // ... @G = vypis dat z GPS modulu
#define USB_fce_3_12 'S'             // ... @S = nastaveni rychlosti seriove komunikace
#define USB_fce_3_13 '-'             // ... @- = sken I2C sbernice
#define USB_fce_3_14 '%'             // ... @% = nastaveni typu specialniho rezimu (r30s) - potrebuje zvlastni pridavny HW





String dny[] = {"--", "Mo" , "Tu" , "We" , "Th" , "Fr" , "Sa" , "Su"}; // pro vypis nazvu dni pro indexy 1 (pondeli) az 7 (nedele)  (0 se nepouzije)


//          A=1
//        ######
//       #      #
//  F=32 #      #  B=2
//       # G=64 #
//        ######
//       #      #
//  E=16 #      #  C=4
//       #      #
//        ######   ## DP=128               priklady:
//         D=8     ##                        'A' = A + B + C + F + E + G = 1 + 2 + 4 + 32 + 16 + 64 = 119
//                                           'L' = F + E + D             = 32 + 16 + 8              = 56 
#ifdef displej_TM1637_5           
byte dis_popisy[50][5] =            // definice 5-znakovych textu na displej
    {
      {  56,  48, 109, 120,   0} , // "LI5t "                  [0]
      { 119,  28, 120,  92,   0} , // "Auto "                  [1]
      {  91,  92,  84, 121,   0} , // "2onE "                  [2]
      {  57, 119,  56,  48, 124} , // "CALIb"                  [3]      
      {  94, 119, 120, 121,   0} , // "dAtE "                  [4]
      { 120,   4,  55, 121,   0} , // "tiME "                  [5]
      { 120, 121,  55, 115,   0} , // "tEMP "                  [6]
      { 118,  28,  55,   4,  94} , // "HuMid"                  [7]
      { 124,  80,   4, 111, 118} , // "bri9H"                  [8]
      { 118,  92,  64,  55,   4} , // "Ho-Mi"                  [9]
      { 119,  62, 121,  80,   0} , // "AVer "                 [10]
      {  56, 121,  94,   0,   0} , // "LEd  "                 [11]      
      { 109, 120,  92, 115,   0} , // "StoP "                 [12] (StopWatch)
      { 125, 115, 109,   0,   0} , // "6P5  "                 [13] (GPS)
      {   0,   0,   0,   0,   0} , //                         [14] REZERVA pro menu
      {   0,   0,   0,   0,   0} , //                         [15] REZERVA pro menu
      {   0,   0,   0,   0,   0} , //                         [16] REZERVA pro menu
      {   0,   0,   0,   0,   0} , //                         [17] REZERVA pro menu
      {   0,   0,   0,   0,   0} , //                         [18] REZERVA pro menu
      {   0,   0,   0,   0,   0} , //                         [19] REZERVA pro menu
      {   0,   0,   0,   0,   0} , //                         [20] REZERVA pro menu
      {  84,  92,  64, 109,  94} , // "no-5d"                 [21] (SD card is not present)
      {  80, 121, 109, 121, 120} , // "rE5Et"                 [22] Reset
      { 128,   0,   0,   0,   0} , // ".    "                 [23] left dot (automat measuring is running)
      {   0, 128,   0,   0,   0} , // " .   "                 [24] second dot from left (serial measuring is running)
      {   0,   0,  57, 121, 120} , // "  CEt"                 [25]
      {   0,  57, 121, 109, 120} , // " CESt"                 [26]
      { 121,  80,  80,  64,  79} , // "Err-3"                 [27] (RTC ERROR)
      {   0,   0,   0,   0,   0} , // "     "                 [28]
      {  64,  64,  64,  64,  64} , // "-----"                 [29]
      { 121,  80,  80,  64, 102} , // "Err-4"                 [30] (Calibration table ERROR - for light)
      { 121,  80,  80,  64, 109} , // "Err-5"                 [31] (Calibration table ERROR - for temperature)
      {  84,  92,  57,  92,  80} , // "noCor"                 [32] zobrazeni prubezneho jasu bez korekce
      {   0,  57,  92,  80,  80} , // " Corr"                 [33] zobrazeni prubezneho jasu s korekci
      {  80, 121, 113,   8,  62} , // "rEF_U"                 [34] test analogoveho vstupu pro referencni napeti
      {  62,   8, 124, 119, 120} , // "U_bAt"                 [35] test analogoveho vstupu pro napeti baterie
      {  64,  56,  92,  88,  64} , // "-Loc-"                 [36] bocni tlacitko zablokovano
      { 109,  94,  64, 121,  80} , // "5d-Er"                 [37] (SD card ERROR)
      { 109, 119,  62, 121,   0} , // "SAVE "                 [38]
      { 124,  28, 109, 109, 110} , // "bu55y"                 [39]
      { 121,  80,  80,  64,   6} , // "Err-1"                 [40] (I2C ERROR)
      { 121,  80,  80,  64,  91} , // "Err-2"                 [41] (GPS ERROR))
      {  94, 121, 113, 119,   0} , // "dEFA "                 [42] (Reload defaults)
      {   0,   0,   0,   0,   0} , //                         [43] REZERVA
      {   0,   0,   0,   0,   0} , //                         [44] REZERVA
      {   0,   0,   0,   0,   0} , //                         [45] REZERVA
      {   0,   0,   0,   0,   0} , //                         [46] REZERVA
      {   0,   0,   0,   0,   0} , //                         [47] REZERVA
      {   0,   0,   0,   0,   0} , //                         [48] REZERVA
      {   0,   0,   0,   0,   0}   //                         [49] REZERVA    
    };
#endif

// prvni znaky na displeji pro podmenu
byte znak_V =  28;         // "u ..." hUmid
byte znak_A = 119;         // "A ..." Automat
byte znak_P =  62;         // "V ..." aVerage
byte znak_d =  94;         // "d ..." Days
byte znak_M =  55;         // "M ..." Months
byte znak_r = 110;         // "y ..." Years
byte znak_H = 118;         // "H ..." Hours
byte znak_L =  56;         // "L ..." List


#endif
//======================= jazykove verze ======================
